ReactPhysics3D: reactphysics3d::Array< T >::Iterator Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
reactphysics3d::Array< T >::Iterator Class Reference

Class Iterator. More...

`#include <include/reactphysics3d/containers/Array.h>`

## Public Types
using | value_type = T
using | difference_type = std::ptrdiff_t
using | pointer = T *
using | const_pointer = T const *
using | reference = T &
using | const_reference = const T &
using | iterator_category = std::random_access_iterator_tag

## Public Member Functions
| Iterator ()=default
| Constructor.
| Iterator (void *buffer, uint64 index, uint64 size)
| Constructor.
reference | operator* ()
| Deferencable.
const_reference | operator* () const
| Const Deferencable.
const_pointer | operator-> () const
| Deferencable.
Iterator & | operator++ ()
| Pre increment (++it)
Iterator | operator++ (int)
| Post increment (it++)
Iterator & | operator-- ()
| Pre decrement (–it)
Iterator | operator-- (int)
| Post decrement (it–)
Iterator | operator+ (const difference_type &n)
| Plus operator.
Iterator & | operator+= (const difference_type &n)
| Plus operator.
Iterator | operator- (const difference_type &n)
| Minus operator.
Iterator & | operator-= (const difference_type &n)
| Minus operator.
difference_type | operator- (const Iterator &iterator) const
| Difference operator.
bool | operator< (const Iterator &other) const
| Comparison operator.
bool | operator> (const Iterator &other) const
| Comparison operator.
bool | operator<= (const Iterator &other) const
| Comparison operator.
bool | operator>= (const Iterator &other) const
| Comparison operator.
bool | operator== (const Iterator &iterator) const
| Equality operator (it == end())
bool | operator!= (const Iterator &iterator) const
| Inequality operator (it != end())

## Detailed Description

template<typename T>
class reactphysics3d::Array< T >::Iterator

Class Iterator.

This class represents an iterator for the array

The documentation for this class was generated from the following file:

- include/reactphysics3d/containers/Array.h